require "util"
local unloader=table.deepcopy(data.raw['constant-combinator']['constant-combinator'])
unloader.name='smart-unloader';
unloader.selection_box={{-0.5, -0.5}, {0, 0}}
unloader.minable.result='smart-unloader';
unloader.icon = "__SmartLoader__/unloader.png"
unloader.circuit_wire_max_distance = 0
unloader.collision_mask={'floor-layer'}
unloader.sprite=
    { filename = "__SmartLoader__/unloader.png",
        priority = "extra-high",
        width = 34,
        height = 40,
    }
local item=  {
    type = "item",
    name = "smart-unloader",
    icon = "__SmartLoader__/unloader.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-e[smart-inserter]",
    place_result = "smart-unloader",
    stack_size = 50
    }
local recipe=  {
    type = "recipe",
    name = "smart-unloader",
    enabled = false,
    ingredients =
    {
      {"electronic-circuit", 5}
    },
    result = "smart-unloader"
  }
local tech={
    type = "technology",
    name = "smart-unloading",
    icon = "__SmartLoader__/icon2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "smart-unloader",
      }
    },
    prerequisites = {"smart-loading"},
    unit =
    {
      count = 70,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1}},
      time = 20
    },
    order = "a-d-a",
  }
data:extend({item,unloader,recipe,tech})
